AssetFaceCreateDto
| Field | Required | Description |
|---|---|---|
assetId | Yes | Asset ID |
expectedSourceRevision | No | The face source revision (GET /faces/source) the coordinates were drawn on. When the image, its orientation or its edits changed since, the request is refused with 409 |
height | Yes | Face bounding box height |
imageHeight | Yes | Image height in pixels |
imageWidth | Yes | Image width in pixels |
personId | Yes | Person ID |
width | Yes | Face bounding box width |
x | Yes | Face bounding box X coordinate |
y | Yes | Face bounding box Y coordinate |
Complete definition
required lists fields that must be present. nullable allows a null value; it does not make the field optional. Response enums retain exact wire values for compatibility.
{
"properties": {
"assetId": {
"description": "Asset ID",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$",
"type": "string"
},
"expectedSourceRevision": {
"description": "The face source revision (GET /faces/source) the coordinates were drawn on. When the image, its orientation or its edits changed since, the request is refused with 409",
"type": "string"
},
"height": {
"description": "Face bounding box height",
"maximum": 9007199254740991,
"minimum": -9007199254740991,
"type": "integer"
},
"imageHeight": {
"description": "Image height in pixels",
"maximum": 9007199254740991,
"minimum": -9007199254740991,
"type": "integer"
},
"imageWidth": {
"description": "Image width in pixels",
"maximum": 9007199254740991,
"minimum": -9007199254740991,
"type": "integer"
},
"personId": {
"description": "Person ID",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$",
"type": "string"
},
"width": {
"description": "Face bounding box width",
"maximum": 9007199254740991,
"minimum": -9007199254740991,
"type": "integer"
},
"x": {
"description": "Face bounding box X coordinate",
"maximum": 9007199254740991,
"minimum": -9007199254740991,
"type": "integer"
},
"y": {
"description": "Face bounding box Y coordinate",
"maximum": 9007199254740991,
"minimum": -9007199254740991,
"type": "integer"
}
},
"required": [
"assetId",
"height",
"imageHeight",
"imageWidth",
"personId",
"width",
"x",
"y"
],
"type": "object"
}© 2026 Frameleaf Inc. All rights reserved.
Frameleaf and the Frameleaf logo are Trademarks of Frameleaf Inc.